import { EventEmitter } from '../../../stencil.core';
export declare class FlipCard {
    demoOnStart: boolean;
    demoDelayOnStart: number;
    demoDuration: number;
    switchCard: boolean;
    frontImage: string;
    showBackImage: boolean;
    showFrontFlipButton: boolean;
    showBackFlipButton: boolean;
    backImage: string;
    frontIconColor: string;
    backIconColor: string;
    details: string;
    flipped: boolean;
    frontFaceFlipped: EventEmitter<void>;
    backFaceFlipped: EventEmitter<void>;
    switch(newValue: boolean, oldValue: boolean): void;
    /**
     * Override
     */
    componentDidLoad(): void;
    /**
     * The user flips the card by clicking on it
     */
    protected flip(): void;
    render(): any;
}
